var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");var _extends2=_interopRequireDefault(require("@babel/runtime/helpers/extends"));var _react=_interopRequireDefault(require("react"));var _reactNative=require("@testing-library/react-native");var _theme=require("../../theme");var _NativeBaseProvider=require("../../core/NativeBaseProvider");var _primitives=require("../../components/primitives");var _composites=require("../../components/composites");var _reactNative2=require("react-native");var _extendTheme=require("../../core/extendTheme");var _this=this,_jsxFileName="/Users/himanshusatija/projects/nativebase-v3/src/hooks/useThemeProps/usePropsResolution.test.tsx";var inset={frame:{x:0,y:0,width:0,height:0},insets:{top:0,left:0,right:0,bottom:0}};var Provider=function Provider(_ref){var children=_ref.children,_ref$theme=_ref.theme,theme=_ref$theme===void 0?_theme.theme:_ref$theme;return _react.default.createElement(_NativeBaseProvider.NativeBaseProvider,{initialWindowMetrics:inset,theme:theme,__self:_this,__source:{fileName:_jsxFileName,lineNumber:25,columnNumber:5}},children);};describe('props resolution',function(){it('tests simple resolution',function(){var _render=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:34,columnNumber:7}},_react.default.createElement(_primitives.Box,{p:2,testID:"test",__self:_this,__source:{fileName:_jsxFileName,lineNumber:35,columnNumber:9}},"hello world"))),getByTestId=_render.getByTestId;var box=getByTestId('test');expect(box.props.style.paddingLeft).toBe(_theme.theme.space['2']);expect(box.props.style.paddingRight).toBe(_theme.theme.space['2']);expect(box.props.style.paddingTop).toBe(_theme.theme.space['2']);expect(box.props.style.paddingBottom).toBe(_theme.theme.space['2']);});it('tests simple resolution with responsive props',function(){var _render2=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:49,columnNumber:7}},_react.default.createElement(_primitives.Box,{p:[2,4,5],testID:"test",__self:_this,__source:{fileName:_jsxFileName,lineNumber:50,columnNumber:9}},"hello world"),_react.default.createElement(_primitives.Box,{p:{base:1,sm:5,lg:10},testID:"test2",__self:_this,__source:{fileName:_jsxFileName,lineNumber:53,columnNumber:9}},"hello world"))),getByTestId=_render2.getByTestId;var box=getByTestId('test');expect(box.props.style.paddingLeft).toBe(_theme.theme.space['4']);expect(box.props.style.paddingRight).toBe(_theme.theme.space['4']);expect(box.props.style.paddingTop).toBe(_theme.theme.space['4']);expect(box.props.style.paddingBottom).toBe(_theme.theme.space['4']);var box2=getByTestId('test2');expect(box2.props.style.paddingLeft).toBe(_theme.theme.space['5']);expect(box2.props.style.paddingRight).toBe(_theme.theme.space['5']);expect(box2.props.style.paddingTop).toBe(_theme.theme.space['5']);expect(box2.props.style.paddingBottom).toBe(_theme.theme.space['5']);});it('resolves platform props',function(){_reactNative2.Platform.OS='android';var _render3=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:74,columnNumber:7}},_react.default.createElement(_primitives.Box,{p:5,_android:{p:10},testID:"test",__self:_this,__source:{fileName:_jsxFileName,lineNumber:75,columnNumber:9}},"hello world"))),getByTestId=_render3.getByTestId;var box=getByTestId('test');expect(box.props.style.paddingLeft).toBe(_theme.theme.space['10']);expect(box.props.style.paddingRight).toBe(_theme.theme.space['10']);expect(box.props.style.paddingTop).toBe(_theme.theme.space['10']);expect(box.props.style.paddingBottom).toBe(_theme.theme.space['10']);});it('resolves base style with props',function(){var newTheme=(0,_extendTheme.extendTheme)({components:{Box:{baseStyle:{py:10,bg:'cyan.500'}}}});var _render4=(0,_reactNative.render)(_react.default.createElement(Provider,{theme:newTheme,__self:_this,__source:{fileName:_jsxFileName,lineNumber:99,columnNumber:7}},_react.default.createElement(_primitives.Box,{p:5,testID:"test",__self:_this,__source:{fileName:_jsxFileName,lineNumber:100,columnNumber:9}},"hello world"))),getByTestId=_render4.getByTestId;var box=getByTestId('test');expect(box.props.style).toEqual({paddingTop:newTheme.space['5'],paddingBottom:newTheme.space['5'],paddingLeft:newTheme.space['5'],paddingRight:newTheme.space['5'],backgroundColor:newTheme.colors.cyan['500']});});it('resolves base style and variants with props',function(){var newTheme=(0,_extendTheme.extendTheme)({components:{Box:{baseStyle:{py:10,bg:'cyan.500'},variants:{myBox:function myBox(){return{mt:10};}}}}});var _render5=(0,_reactNative.render)(_react.default.createElement(Provider,{theme:newTheme,__self:_this,__source:{fileName:_jsxFileName,lineNumber:132,columnNumber:7}},_react.default.createElement(_primitives.Box,{p:5,testID:"test",variant:"myBox",__self:_this,__source:{fileName:_jsxFileName,lineNumber:133,columnNumber:9}},"hello world"))),getByTestId=_render5.getByTestId;var box=getByTestId('test');expect(box.props.style).toEqual({marginTop:newTheme.space['10'],paddingTop:newTheme.space['5'],paddingBottom:newTheme.space['5'],paddingLeft:newTheme.space['5'],paddingRight:newTheme.space['5'],backgroundColor:newTheme.colors.cyan['500']});});it('resolves base style, variants and sizes with props',function(){var newTheme=(0,_extendTheme.extendTheme)({components:{Box:{baseStyle:{py:10,bg:'cyan.500'},variants:{myBox:function myBox(){return{mt:10};}},sizes:{xs:{height:10}}}}});var _render6=(0,_reactNative.render)(_react.default.createElement(Provider,{theme:newTheme,__self:_this,__source:{fileName:_jsxFileName,lineNumber:176,columnNumber:7}},_react.default.createElement(_primitives.Box,{p:5,testID:"test",variant:"myBox",size:"xs",__self:_this,__source:{fileName:_jsxFileName,lineNumber:177,columnNumber:9}},"hello world"))),getByTestId=_render6.getByTestId;var box=getByTestId('test');expect(box.props.style).toEqual({marginTop:newTheme.space['10'],paddingTop:newTheme.space['5'],paddingBottom:newTheme.space['5'],paddingLeft:newTheme.space['5'],paddingRight:newTheme.space['5'],height:newTheme.sizes['10'],backgroundColor:newTheme.colors.cyan['500']});});it('tests component sizes resolution',function(){var _render7=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:202,columnNumber:7}},_react.default.createElement(_primitives.Image,{source:{uri:'https://nativebase.io/img/nativebase-logo.svg'},alt:"test-image",size:"md",testID:"image",__self:_this,__source:{fileName:_jsxFileName,lineNumber:203,columnNumber:9}}),_react.default.createElement(_primitives.Spinner,{size:"sm",testID:"spinner",__self:_this,__source:{fileName:_jsxFileName,lineNumber:209,columnNumber:9}}))),getByTestId=_render7.getByTestId;var image=getByTestId('image');var spinner=getByTestId('spinner');expect(image.props.style).toEqual({height:_theme.theme.space['20'],maxWidth:'100%',width:_theme.theme.space['20']});expect(spinner.props.style).toEqual(undefined);});it('resolves base style and variants, sizes and default props with props',function(){var newTheme=(0,_extendTheme.extendTheme)({components:{Box:{baseStyle:{py:10,bg:'cyan.500'},variants:{myBox:function myBox(){return{mt:10};}},sizes:{xs:{height:10}},defaultProps:{size:'xs'}}}});var _render8=(0,_reactNative.render)(_react.default.createElement(Provider,{theme:newTheme,__self:_this,__source:{fileName:_jsxFileName,lineNumber:249,columnNumber:7}},_react.default.createElement(_primitives.Box,{p:5,testID:"test",variant:"myBox",__self:_this,__source:{fileName:_jsxFileName,lineNumber:250,columnNumber:9}},"hello world"))),getByTestId=_render8.getByTestId;var box=getByTestId('test');expect(box.props.style).toEqual({marginTop:newTheme.space['10'],paddingTop:newTheme.space['5'],paddingBottom:newTheme.space['5'],paddingLeft:newTheme.space['5'],paddingRight:newTheme.space['5'],height:newTheme.sizes['10'],backgroundColor:newTheme.colors.cyan['500']});});it('tests alpha opacity resolution',function(){var _render9=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:274,columnNumber:7}},_react.default.createElement(_primitives.Box,{p:2,bg:"primary.400:alpha.50",testID:"test",__self:_this,__source:{fileName:_jsxFileName,lineNumber:275,columnNumber:9}},"hello world"))),getByTestId=_render9.getByTestId;var box=getByTestId('test');expect(box.props.style.backgroundColor).toBe('rgba(34, 211, 238, '+_theme.theme.opacity['50']+')');});it('resolves negative margins',function(){var _render10=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:288,columnNumber:7}},_react.default.createElement(_primitives.Box,{m:-5,testID:"test",__self:_this,__source:{fileName:_jsxFileName,lineNumber:289,columnNumber:9}},"hello world"))),getByTestId=_render10.getByTestId;var box=getByTestId('test');expect(box.props.style).toEqual({marginTop:-_theme.theme.space['5'],marginRight:-_theme.theme.space['5'],marginBottom:-_theme.theme.space['5'],marginLeft:-_theme.theme.space['5']});});it('resolves shadow from theme',function(){var _render11=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:305,columnNumber:7}},_react.default.createElement(_primitives.Box,{shadow:9,testID:"test",__self:_this,__source:{fileName:_jsxFileName,lineNumber:306,columnNumber:9}},"hello world"))),getByTestId=_render11.getByTestId;var box=getByTestId('test');expect(box.props.style).toEqual(_theme.theme.shadows[9]);});it('FormControl: pseudo props test ',function(){var _render12=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:317,columnNumber:7}},_react.default.createElement(_composites.FormControl,{isDisabled:true,__self:_this,__source:{fileName:_jsxFileName,lineNumber:318,columnNumber:9}},_react.default.createElement(_composites.FormControl.HelperText,{testID:"test",_disabled:{borderLeftWidth:1,mt:1,px:1,pl:2,borderColor:'gray.400'},__self:_this,__source:{fileName:_jsxFileName,lineNumber:319,columnNumber:11}})))),getByTestId=_render12.getByTestId;var formControl=getByTestId('test');expect(formControl.props.style).toEqual({borderLeftWidth:1,marginTop:_theme.theme.space['1'],paddingLeft:_theme.theme.space['2'],paddingRight:_theme.theme.space['1'],borderColor:_theme.theme.colors.gray['400']});});it('Menu: style props test',function(){var _render13=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:344,columnNumber:7}},_react.default.createElement(_composites.Menu,{trigger:function trigger(triggerProps){return _react.default.createElement(_primitives.Pressable,(0,_extends2.default)({testID:"pressableTest",accessibilityLabel:"More options menu"},triggerProps,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:348,columnNumber:15}}),"Open menu");},__self:_this,__source:{fileName:_jsxFileName,lineNumber:345,columnNumber:9}},_react.default.createElement(_composites.Menu.Item,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:358,columnNumber:11}},"Arial"),_react.default.createElement(_composites.Menu.Item,{bg:"blue.300",testID:"test",__self:_this,__source:{fileName:_jsxFileName,lineNumber:359,columnNumber:11}},"Nunito Sans"),_react.default.createElement(_composites.Menu.Item,{testID:"test1",isDisabled:true,_disabled:{bg:'pink.300'},__self:_this,__source:{fileName:_jsxFileName,lineNumber:362,columnNumber:11}},"Tahoma")))),getByTestId=_render13.getByTestId;var triggerElement=getByTestId('pressableTest');_reactNative.fireEvent.press(triggerElement);var menuItem=getByTestId('test');var disabledMenuItem=getByTestId('test1');expect(menuItem.props.style.backgroundColor).toBe(_theme.theme.colors.blue['300']);expect(disabledMenuItem.props.style.backgroundColor).toBe(_theme.theme.colors.pink['300']);});it('Menu: style props test',function(){var _render14=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:381,columnNumber:7}},_react.default.createElement(_primitives.Select,{selectedValue:'js',testID:"selectTest",minWidth:200,accessibilityLabel:"Select your favorite programming language",placeholder:"Select your favorite programming language",_selectedItem:{bg:'cyan.600'},__self:_this,__source:{fileName:_jsxFileName,lineNumber:382,columnNumber:9}},_react.default.createElement(_primitives.Select.Item,{testID:"test",label:"JavaScript",value:"js",__self:_this,__source:{fileName:_jsxFileName,lineNumber:392,columnNumber:11}}),_react.default.createElement(_primitives.Select.Item,{testID:"test1",isDisabled:true,label:"TypeScript",value:"ts",_disabled:{bg:'blue.700'},__self:_this,__source:{fileName:_jsxFileName,lineNumber:393,columnNumber:11}})))),getByTestId=_render14.getByTestId;var selectElement=getByTestId('selectTest');_reactNative.fireEvent.press(selectElement);var selectItem=getByTestId('test');expect(selectItem.props.style.backgroundColor).toBe(_theme.theme.colors.cyan['600']);});it('Button: style props test',function(){var _render15=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:417,columnNumber:7}},_react.default.createElement(_primitives.Button,{testID:"test",bg:"pink.900",_text:{color:'cyan.100',testID:'test1'},__self:_this,__source:{fileName:_jsxFileName,lineNumber:418,columnNumber:9}},"PRIMARY"))),getByTestId=_render15.getByTestId;var buttonElement=getByTestId('test');var buttonText=getByTestId('test1');expect(buttonText.props.style.color).toBe(_theme.theme.colors.cyan['100']);expect(buttonElement.props.style.backgroundColor).toBe(_theme.theme.colors.pink['900']);});it('Button: style props test on ios with dark mode',function(){var newTheme=(0,_extendTheme.extendTheme)({config:{initialColorMode:'dark'}});_reactNative2.Platform.OS='ios';var _render16=(0,_reactNative.render)(_react.default.createElement(Provider,{theme:newTheme,__self:_this,__source:{fileName:_jsxFileName,lineNumber:440,columnNumber:7}},_react.default.createElement(_primitives.Button,{testID:"test",_ios:{_dark:{bg:'pink.900'}},_text:{color:'cyan.100',testID:'test1'},__self:_this,__source:{fileName:_jsxFileName,lineNumber:441,columnNumber:9}},"PRIMARY"))),getByTestId=_render16.getByTestId;var buttonElement=getByTestId('test');var buttonText=getByTestId('test1');expect(buttonText.props.style.color).toBe(_theme.theme.colors.cyan['100']);expect(buttonElement.props.style.backgroundColor).toBe(_theme.theme.colors.pink['900']);});it('Button: style responsive props test on ios with dark mode',function(){var newTheme=(0,_extendTheme.extendTheme)({config:{initialColorMode:'dark'}});_reactNative2.Platform.OS='ios';var _render17=(0,_reactNative.render)(_react.default.createElement(Provider,{theme:newTheme,__self:_this,__source:{fileName:_jsxFileName,lineNumber:463,columnNumber:7}},_react.default.createElement(_primitives.Button,{testID:"test",_ios:{_dark:{bg:['pink.900','blue.900','cyan.900']}},_text:{color:'cyan.100',testID:'test1'},__self:_this,__source:{fileName:_jsxFileName,lineNumber:464,columnNumber:9}},"PRIMARY"))),getByTestId=_render17.getByTestId;var buttonElement=getByTestId('test');var buttonText=getByTestId('test1');expect(buttonText.props.style.color).toBe(_theme.theme.colors.cyan['100']);expect(buttonElement.props.style.backgroundColor).toBe(_theme.theme.colors.blue['900']);});it('Image: style responsive props test on ios with dark mode',function(){var newTheme=(0,_extendTheme.extendTheme)({config:{initialColorMode:'dark'}});_reactNative2.Platform.OS='ios';var _render18=(0,_reactNative.render)(_react.default.createElement(Provider,{theme:newTheme,__self:_this,__source:{fileName:_jsxFileName,lineNumber:486,columnNumber:7}},_react.default.createElement(_primitives.Image,{testID:"test",source:{uri:'https://wallpaperaccess.com/full/317501jpg'},alt:"Alternate Text",_ios:{_dark:{source:{uri:'https://www.w3schools.com/css/img_lightsjpg'},size:['sm','md','xl']}},__self:_this,__source:{fileName:_jsxFileName,lineNumber:487,columnNumber:9}}))),getByTestId=_render18.getByTestId;var imageElement=getByTestId('test');expect(imageElement.props.style).toEqual({height:_theme.theme.space['20'],maxWidth:'100%',width:_theme.theme.space['20']});});it('verifies string numbers',function(){var _render19=(0,_reactNative.render)(_react.default.createElement(Provider,{__self:_this,__source:{fileName:_jsxFileName,lineNumber:514,columnNumber:7}},_react.default.createElement(_primitives.Box,{testID:"123",mt:'29',__self:_this,__source:{fileName:_jsxFileName,lineNumber:515,columnNumber:9}}))),getByTestId=_render19.getByTestId;var box=getByTestId('123');expect(box.props.style).toEqual({marginTop:29});});});
//# sourceMappingURL=usePropsResolution.test.js.map